import React from 'react'
import ReactHtmlParser from 'react-html-parser'

const HTMLString = ({ string, element: Element = 'span' }) => {
  let parsed = ReactHtmlParser(string)
  if (parsed.length > 0) {
    parsed = parsed.map(each =>
      typeof each === 'string' ? ReactHtmlParser(each) : each,
    )
  }
  return <Element>{parsed}</Element>
}

export default HTMLString
